Index: /trunk/web/punbb/lang/English/profile.php
===================================================================
--- /trunk/web/punbb/lang/English/profile.php	(revision 10)
+++ /trunk/web/punbb/lang/English/profile.php	(revision 1)
@@ -5,137 +5,140 @@
 
 // Navigation and sections
-'Profile menu'					=>	'Profile menu',
-'Section essentials'			=>	'Essentials',
-'Section personal'				=>	'Personal',
-'Section messaging'				=>	'Messaging',
-'Section personality'			=>	'Personality',
-'Section display'				=>	'Display',
-'Section privacy'				=>	'Privacy',
-'Section admin'					=>	'Administration',
+'Profile menu'				=>	'Profile menu',
+'Section essentials'		=>	'Essentials',
+'Section personal'			=>	'Personal',
+'Section messaging'			=>	'Messaging',
+'Section personality'		=>	'Personality',
+'Section display'			=>	'Display',
+'Section privacy'			=>	'Privacy',
+'Section admin'				=>	'Administration',
 
 // Miscellaneous
-'Username and pass legend'		=>	'Enter your username and password',
-'Personal details legend'		=>	'Enter your personal details',
-'Contact details legend'		=>	'Enter your messaging details',
-'User activity'					=>	'User activity',
-'Paginate info'					=>	'Enter the number of topics and posts you wish to view on each page.',
+'Username and pass legend'	=>	'Enter your username and password',
+'Personal details legend'	=>	'Enter your personal details',
+'Contact details legend'	=>	'Enter your messaging details',
+'Options display'			=>	'Set your display options',
+'Options post'				=>	'Set your post viewing options',
+'User activity'				=>	'User activity',
+'Paginate info'				=>	'Enter the number of topics and posts you wish to view on each page.',
 
 // Password stuff
-'Pass key bad'					=>	'The specified password activation key was incorrect or has expired. Please re-request a new password. If that fails, contact the forum administrator at',
-'Pass updated'					=>	'Your password has been updated. You can now login with your new password.',
-'Pass updated redirect'			=>	'Password updated. Redirecting âŠ',
-'Wrong pass'					=>	'Wrong old password.',
-'Change pass'					=>	'Change password',
-'Change pass legend'			=>	'Enter and confirm your new password',
-'Old pass'						=>	'Old password',
-'New pass'						=>	'New password',
-'Confirm new pass'				=>	'Confirm new password',
-'Pass info'						=>	'Passwords must be at least 4 characters long. Passwords are case sensitive.',
+'Pass key bad'				=>	'The specified password activation key was incorrect or has expired. Please re-request a new password. If that fails, contact the forum administrator at',
+'Pass updated'				=>	'Your password has been updated. You can now login with your new password.',
+'Pass updated redirect'		=>	'Password updated. Redirection ...',
+'Wrong pass'				=>	'Wrong old password.',
+'Change pass'				=>	'Change password',
+'Change pass legend'		=>	'Enter and confirm your new password',
+'Old pass'					=>	'Old password',
+'New pass'					=>	'New password',
+'Confirm new pass'			=>	'Confirm new password',
 
-// Email stuff
-'Email key bad'					=>	'The specified email activation key was incorrect or has expired. Please re-request change of email address. If that fails, contact the forum administrator at',
-'Email updated'					=>	'Your email address has been updated.',
-'Activate email sent'			=>	'An email has been sent to the specified address with instructions on how to activate the new email address. If it doesn\'t arrive you can contact the forum administrator at',
-'Email legend'					=>	'Enter your new email address',
-'Email instructions'			=>	'An email will be sent to your new address with an activation link. You must click the link in the email you receive to activate the new address.',
-'Change email'					=>	'Change email address',
-'New email'						=>	'New email',
+// E-mail stuff
+'E-mail key bad'			=>	'The specified e-mail activation key was incorrect or has expired. Please re-request change of e-mail address. If that fails, contact the forum administrator at',
+'E-mail updated'			=>	'Your e-mail address has been updated.',
+'Activate e-mail sent'		=>	'An email has been sent to the specified address with instructions on how to activate the new e-mail address. If it doesn\'t arrive you can contact the forum administrator at',
+'E-mail legend'				=>	'Enter your new e-mail address',
+'E-mail instructions'		=>	'An e-mail will be sent to your new address with an activation link. You must click the link in the e-mail you receive to activate the new address.',
+'Change e-mail'				=>	'Change e-mail address',
+'New e-mail'				=>	'New e-mail',
 
 // Avatar upload stuff
-'Avatars disabled'				=>	'The administrator has disabled avatar support.',
-'Too large ini'					=>	'The selected file was too large to upload. The server didn\'t allow the upload.',
-'Partial upload'				=>	'The selected file was only partially uploaded. Please try again.',
-'No tmp directory'				=>	'PHP was unable to save the uploaded file to a temporary location.',
-'No file'						=>	'You did not select a file for upload.',
-'Bad type'						=>	'The file you tried to upload is not of an allowed type. Allowed types are gif, jpeg and png.',
-'Too wide or high'				=>	'The file you tried to upload is wider and/or higher than the maximum allowed',
-'Too large'						=>	'The file you tried to upload is larger than the maximum allowed',
-'pixels'						=>	'pixels',
-'bytes'							=>	'bytes',
-'Move failed'					=>	'The server was unable to save the uploaded file. Please contact the forum administrator at',
-'Unknown failure'				=>	'An unknown error occurred. Please try again.',
-'Avatar upload redirect'		=>	'Avatar uploaded. Redirecting âŠ',
-'Avatar deleted redirect'		=>	'Avatar deleted. Redirecting âŠ',
-'Avatar desc'					=>	'An avatar is a small image that will be displayed under your username in your posts. It must not be any bigger than',
-'Upload avatar'					=>	'Upload avatar',
-'Upload avatar legend'			=>	'Enter an avatar file to upload',
-'Delete avatar'					=>	'Delete avatar', // only for admins
-'File'							=>	'File',
-'Upload'						=>	'Upload', // submit button
+'Avatars disabled'			=>	'The administrator has disabled avatar support.',
+'Too large ini'				=>	'The selected file was too large to upload. The server didn\'t allow the upload.',
+'Partial upload'			=>	'The selected file was only partially uploaded. Please try again.',
+'No tmp directory'			=>	'PHP was unable to save the uploaded file to a temporary location.',
+'No file'					=>	'You did not select a file for upload.',
+'Bad type'					=>	'The file you tried to upload is not of an allowed type. Allowed types are gif, jpeg and png.',
+'Too wide or high'			=>	'The file you tried to upload is wider and/or higher than the maximum allowed',
+'Too large'					=>	'The file you tried to upload is larger than the maximum allowed',
+'pixels'					=>	'pixels',
+'bytes'						=>	'bytes',
+'Move failed'				=>	'The server was unable to save the uploaded file. Please contact the forum administrator at',
+'Unknown failure'			=>	'An unknown error occurred. Please try again.',
+'Avatar upload redirect'	=>	'Avatar uploaded. Redirection ...',
+'Avatar deleted redirect'	=>	'Avatar deleted. Redirection ...',
+'Avatar desc'				=>	'An avatar is a small image that will be displayed under your username in your posts. It must not be any bigger than',
+'Upload avatar'				=>	'Upload avatar',
+'Upload avatar legend'		=>	'Enter an avatar file to upload',
+'Delete avatar'				=>	'Delete avatar',	// only for admins
+'File'						=>	'File',
+'Upload'					=>	'Upload',	// submit button
 
 // Form validation stuff
-'Forbidden title'				=>	'The title you entered contains a forbidden word. You must choose a different title.',
-'Profile redirect'				=>	'Profile updated. Redirecting âŠ',
+'Dupe username'				=>	'Someone else has already registered with that username. Please go back and try a different username.',
+'Forbidden title'			=>	'The title you entered contains a forbidden word. You must choose a different title.',
+'Profile redirect'			=>	'Profile updated. Redirection ...',
 
 // Profile display stuff
-'Users profile'					=>	'%s\'s profile',
-'Username info'					=>	'Username: %s',
-'Email info'					=>	'Email: %s',
-'Posts info'					=>	'Posts: %s',
-'Registered info'				=>	'Registered: %s',
-'Last post info'				=>	'Last post: %s',
-'Last visit info'				=>	'Last visit: %s',
-'Show posts'					=>	'Show all posts',
-'Show topics'					=>	'Show all topics',
-'Show subscriptions'			=>	'Show all subscriptions',
-'Realname'						=>	'Real name',
-'Location'						=>	'Location',
-'Website'						=>	'Website',
-'Invalid website URL'					=>	'The website URL you entered is invalid.',
-'Jabber'						=>	'Jabber',
-'ICQ'							=>	'ICQ',
-'MSN'							=>	'MSN Messenger',
-'AOL IM'						=>	'AOL IM',
-'Yahoo'							=>	'Yahoo! Messenger',
-'Avatar'						=>	'Avatar',
-'Signature'						=>	'Signature',
-'Sig max size'					=>	'Max length: %s characters / Max lines: %s',
-'Avatar legend'					=>	'Set your avatar display options',
-'Avatar info'					=>	'An avatar is a small image that will be displayed with all your posts. You can upload an avatar by clicking the link below.',
-'Change avatar'					=>	'Change avatar',
-'Signature legend'				=>	'Compose your signature',
-'Signature info'				=>	'A signature is a small piece of text that is attached to your posts. In it, you can enter just about anything you like. Perhaps you would like to enter your favourite quote or your star sign. It\'s up to you! In your signature you can use BBCode if it is allowed in this particular forum. You can see the features that are allowed/enabled listed below whenever you edit your signature.',
-'Sig preview'					=>	'Current signature preview:',
-'No sig'						=>	'No signature currently stored in profile.',
-'Signature quote/code/list/h'	=>	'The quote, code, list, and heading BBCodes are not allowed in signatures.',
-'Topics per page'				=>	'Topics',
-'Posts per page'				=>	'Posts',
-'Leave blank'					=>	'Leave blank to use forum default.',
-'Subscription legend'			=>	'Set your subscription options',
-'Notify full'					=>	'Include a plain text version of new posts in subscription notification emails.',
-'Auto notify full'				=>	'Automatically subscribe to every topic you post in.',
-'Show smilies'					=>	'Show smilies as graphic icons.',
-'Show images'					=>	'Show images in posts.',
-'Show images sigs'				=>	'Show images in user signatures.',
-'Show avatars'					=>	'Show user avatars in posts.',
-'Show sigs'						=>	'Show user signatures.',
-'Style legend'					=>	'Select your preferred style',
-'Styles'						=>	'Styles',
-'Admin note'					=>	'Admin note',
-'Pagination legend'				=>	'Enter your pagination options',
-'Post display legend'			=>	'Set your options for viewing posts',
-'Post display info'				=>	'If you are on a slow connection, disabling these options, particularly showing images in posts and signatures, will make pages load faster.',
-'Instructions'					=>	'When you update your profile, you will be redirected back to this page.',
+'Not activated'				=>	'This user hasn\'t activated his/her account yet. The account is activated when he/she logs in the first time.',
+'Unknown'					=>	'(Unknown)',	// This is displayed when a user hasn't filled out profile field (e.g. Location)
+'Private'					=>	'(Private)',	// This is displayed when a user does not want to receive e-mails
+'No avatar'					=>	'(No avatar)',
+'Show posts'				=>	'Show all posts',
+'Realname'					=>	'Real name',
+'Location'					=>	'Location',
+'Website'					=>	'Website',
+'Jabber'					=>	'Jabber',
+'ICQ'						=>	'ICQ',
+'MSN'						=>	'MSN Messenger',
+'AOL IM'					=>	'AOL IM',
+'Yahoo'						=>	'Yahoo! Messenger',
+'Avatar'					=>	'Avatar',
+'Signature'					=>	'Signature',
+'Sig max length'			=>	'Max length',
+'Sig max lines'				=>	'Max lines',
+'Avatar legend'				=>	'Set your avatar display options',
+'Avatar info'				=>	'An avatar is a small image that will be displayed with all your posts. You can upload an avatar by clicking the link below. The checkbox \'Use avatar\' below must be checked in order for the avatar to be visible in your posts.',
+'Change avatar'				=>	'Change avatar',
+'Use avatar'				=>	'Use avatar.',
+'Signature legend'			=>	'Compose your signature',
+'Signature info'			=>	'A signature is a small piece of text that is attached to your posts. In it, you can enter just about anything you like. Perhaps you would like to enter your favourite quote or your star sign. It\'s up to you! In your signature you can use BBCode if it is allowed in this particular forum. You can see the features that are allowed/enabled listed below whenever you edit your signature.',
+'Sig preview'				=>	'Current signature preview:',
+'No sig'					=>	'No signature currently stored in profile.',
+'Topics per page'			=>	'Topics',
+'Topics per page info'		=>	'This setting controls how many topics are displayed per page when you view a forum. If you are uncertain about what to use, you can just leave it blank and the forum default will be used.',
+'Posts per page'			=>	'Posts',
+'Posts per page info'		=>	'This setting controls how many posts are displayed per page when you view a topic. If you are uncertain about what to use, you can just leave it blank and the forum default will be used.',
+'Leave blank'				=>	'Leave blank to use forum default.',
+'Notify full'				=>	'Include post in subscription e-mails.',
+'Notify full info'			=>	'With this enabled, a plain text version of the new post will be included in subscription notification e-mails.',
+'Show smilies'				=>	'Show smilies as graphic icons',
+'Show smilies info'			=>	'If you enable this option, small images will be displayed instead of text smilies.',
+'Show images'				=>	'Show images in posts.',
+'Show images info'			=>	'Disable this if you don\'t want to see images in posts (i.e. images displayed with the [img]-tag).',
+'Show images sigs'			=>	'Show images in user signatures.',
+'Show images sigs info'		=>	'Disable this if you don\'t want to see images in signatures (i.e. images displayed with the [img]-tag).',
+'Show avatars'				=>	'Show user avatars in posts.',
+'Show avatars info'			=>	'This option toggles whether user avatar images will be displayed in posts or not.',
+'Show sigs'					=>	'Show user signatures.',
+'Show sigs info'			=>	'Enable if you would like to see user signatures.',
+'Style legend'				=>	'Select your preferred style',
+'Style info'				=>	'If you like you can use a different visual style for this forum.',
+'Admin note'				=>	'Admin note',
+'Pagination legend'			=>	'Enter your pagination options',
+'Post display legend'		=>	'Set your options for viewing posts',
+'Post display info'			=>	'If you are on a slow connection, disabling these options, particularly showing images in posts and signatures, will make pages load faster.',
+'Instructions'				=>	'When you update your profile, you will be redirected back to this page.',
 
 // Administration stuff
-'Group membership legend'		=>	'Choose user group',
-'Save'							=>	'Save',
-'Set mods legend'				=>	'Set moderator access',
-'Moderator in info'				=>	'Choose which forums this user should be allowed to moderate. Note: This only applies to moderators. Administrators always have full permissions in all forums.',
-'Update forums'					=>	'Update forums',
-'Delete ban legend'				=>	'Delete (administrators only) or ban user',
-'Delete user'					=>	'Delete user',
-'Ban user'						=>	'Ban user',
-'Confirm delete legend'			=>	'Important: read before deleting user',
-'Confirm delete user'			=>	'Confirm delete user',
-'Confirmation info'				=>	'Please confirm that you want to delete the user', // the username will be appended to this string
-'Delete warning'				=>	'Warning! Deleted users and/or posts cannot be restored. If you choose not to delete the posts made by this user, the posts can only be deleted manually at a later time.',
-'Delete posts'					=>	'Delete any posts and topics this user has made.',
-'Delete'						=>	'Delete', // submit button (confirm user delete)
-'User delete redirect'			=>	'User deleted. Redirecting âŠ',
-'Group membership redirect'		=>	'Group membership saved. Redirecting âŠ',
-'Update forums redirect'		=>	'Forum moderator rights updated. Redirecting âŠ',
-'Ban redirect'					=>	'Redirecting âŠ',
-'No delete admin message'		=>	'Administrators cannot be deleted. In order to delete this user, you must first move him/her to a different user group.',
+'Group membership legend'	=>	'Choose user group',
+'Save'						=>	'Save',
+'Set mods legend'			=>	'Set moderator access',
+'Moderator in'				=>	'Moderator in',
+'Moderator in info'			=>	'Choose what forums this user should be allowed to moderate. Note: This only applies to moderators. Administrators always have full permissions in all forums.',
+'Update forums'				=>	'Update forums',
+'Delete ban legend'			=>	'Delete (administrators only) or ban user',
+'Delete user'				=>	'Delete user',
+'Ban user'					=>	'Ban user',
+'Confirm delete legend'		=>	'Important: read before deleting user',
+'Confirm delete user'		=>	'Confirm delete user',
+'Confirmation info'			=>	'Please confirm that you want to delete the user',	// the username will be appended to this string
+'Delete warning'			=>	'Warning! Deleted users and/or posts cannot be restored. If you choose not to delete the posts made by this user, the posts can only be deleted manually at a later time.',
+'Delete posts'				=>	'Delete any posts and topics this user has made.',
+'Delete'					=>	'Delete',		// submit button (confirm user delete)
+'User delete redirect'		=>	'User deleted. Redirection ...',
+'Group membership redirect'	=>	'Group membership saved. Redirection ...',
+'Update forums redirect'	=>	'Forum moderator rights updated. Redirection ...',
+'Ban redirect'				=>	'Redirection ...'
 
 );
Index: /trunk/web/punbb/lang/English/register.php
===================================================================
--- /trunk/web/punbb/lang/English/register.php	(revision 10)
+++ /trunk/web/punbb/lang/English/register.php	(revision 1)
@@ -6,8 +6,7 @@
 // Miscellaneous
 'No new regs'				=>	'This forum is not accepting new registrations.',
-'Reg cancel redirect'		=>	'Registration cancelled. Redirecting âŠ',
+'Reg cancel redirect'		=>	'Registration cancelled. Redirection ...',
 'Forum rules'				=>	'Forum rules',
 'Rules legend'				=>	'You must agree to the following in order to register',
-'Registration flood'		=>	'A new user was registered with the same IP address as you within the last hour. To prevent registration flooding, at least an hour has to pass between registrations from the same IP. Sorry for the inconvenience.',
 'Agree'						=>	'Agree',
 'Cancel'					=>	'Cancel',
@@ -15,14 +14,12 @@
 
 // Form validation stuff (some of these are also used in post.php)
-'Registration errors'		=>	'Registration errors',
-'Registration errors info'	=>	'The following errors need to be corrected before you can register:',
 'Username censor'			=>	'The username you entered contains one or more censored words. Please choose a different username.',
 'Username dupe 1'			=>	'Someone is already registered with the username',
 'Username dupe 2'			=>	'The username you entered is too similar. The username must differ from that by at least one alphanumerical character (a-z or 0-9). Please choose a different username.',
-'Email not match'			=>	'Email addresses do not match.',
+'E-mail not match'			=>	'E-mail addresses do not match. Please go back and correct.',
 
-// Registration email stuff
-'Reg email'					=>	'Thank you for registering. Your password has been sent to the specified address. If it doesn\'t arrive you can contact the forum administrator at',
-'Reg complete'				=>	'Registration complete. Logging in and redirecting âŠ',
+// Registration e-mail stuff
+'Reg e-mail'				=>	'Thank you for registering. Your password has been sent to the specified address. If it doesn\'t arrive you can contact the forum administrator at',
+'Reg complete'				=>	'Registration complete. Logging in and Redirection ...',
 
 // Register info
@@ -30,8 +27,9 @@
 'Desc 2'					=>	'Below is a form you must fill out in order to register. Once you are registered you should visit your profile and review the different settings you can change. The fields below only make up a small part of all the settings you can alter in your profile.',
 'Username legend'			=>	'Please enter a username between 2 and 25 characters long',
-'Pass legend'				=>	'Please enter and confirm your chosen password',
-'Pass info'					=>	'Passwords must be at least 4 characters long. Passwords are case sensitive.',
-'Email info'				=>	'You must enter a valid email address as your randomly generated password will be sent to that address.',
-'Confirm email'				=>	'Confirm email address',
+'Pass legend 1'				=>	'Please enter and confirm your chosen password',
+'Pass legend 2'				=>	'Please read the instructions below',
+'Pass info'					=>	'Passwords can be between 4 and 16 characters long. Passwords are case sensitive.',
+'E-mail info'				=>	'You must enter a valid e-mail address as your randomly generated password will be sent to that address.',
+'Confirm e-mail'			=>	'Confirm e-mail address',
 
 );
Index: /trunk/web/punbb/lang/English/search.php
===================================================================
--- /trunk/web/punbb/lang/English/search.php	(revision 10)
+++ /trunk/web/punbb/lang/English/search.php	(revision 1)
@@ -5,61 +5,43 @@
 
 // The search form
-'User search'						=>	'User search',
-'No search permission'				=>	'You do not have permission to use the search feature.',
-'Search flood'						=>	'At least %s seconds have to pass between searches. Please wait a while and try searching again.',
-'Search'							=>	'Search',
-'Search criteria legend'			=>	'Enter your search criteria',
-'Search info'						=>	'To search by keyword, enter a term or terms to search for. Separate terms with spaces. Use AND, OR and NOT to refine your search. To search by author enter the username of the author whose posts you wish to search for. Use wildcard character * for partial matches.',
-'Keyword search'					=>	'Keyword search',
-'Author search'						=>	'Author search',
-'Search in legend'					=>	'Select where to search',
-'Search in info'					=>	'Choose in which forum you would like to search and if you want to search in topic subjects, message text or both.',
-'Search multiple forums info'		=>	'If no forums are selected, all forums will be searched.',
-'Forum search'						=>	'Forum',
-'All forums'						=>	'All forums',
-'Search in'							=>	'Search in',
-'Message and subject'				=>	'Message text and topic subject',
-'Message only'						=>	'Message text only',
-'Topic only'						=>	'Topic subject only',
-'Sort by'							=>	'Sort by',
-'Sort order'						=>	'Sort order',
-'Search results legend'				=>	'Select how to view search results',
-'Search results info'				=>	'You can choose how you wish to sort and show your results.',
-'Sort by post time'					=>	'Post time',
-'Sort by author'					=>	'Author',
-'Sort by subject'					=>	'Subject',
-'Sort by forum'						=>	'Forum',
-'Ascending'							=>	'Ascending',
-'Descending'						=>	'Descending',
-'Show as'							=>	'Show results as',
-'Show as topics'					=>	'Topics',
-'Show as posts'						=>	'Posts',
+'User search'				=>	'User search',
+'No search permission'		=>	'You do not have permission to use the search feature.',
+'Search'					=>	'Search',
+'Search criteria legend'	=>	'Enter your search criteria',
+'Search info'				=>	'To search by keyword, enter a term or terms to search for. Separate terms with spaces. Use AND, OR and NOT to refine your search. To search by author enter the username of the author whose posts you wish to search for. Use wildcard character * for partial matches.',
+'Keyword search'			=>	'Keyword search',
+'Author search'				=>	'Author search',
+'Search in legend'			=>	'Select where to search',
+'Search in info'			=>	'Choose in which forum you would like to search and if you want to search in topic subjects, message text or both.',
+'Forum search'				=>	'Forum',
+'All forums'				=>	'All forums',
+'Search in'					=>	'Search in',
+'Message and subject'		=>	'Message text and topic subject',
+'Message only'				=>	'Message text only',
+'Topic only'				=>	'Topic subject only',
+'Sort by'					=>	'Sort by',
+'Sort order'				=>	'Sort order',
+'Search results legend'		=>	'Select how to view search results',
+'Search results info'		=>	'You can choose how you wish to sort and show your results.',
+'Sort by post time'			=>	'Post time',
+'Sort by author'			=>	'Author',
+'Sort by subject'			=>	'Subject',
+'Sort by forum'				=>	'Forum',
+'Ascending'					=>	'Ascending',
+'Descending'				=>	'Descending',
+'Show as'					=>	'Show results as',
+'Show as topics'			=>	'Topics',
+'Show as posts'				=>	'Posts',
 
 // Results
-'Search'							=>	'Search',
-'Search results'					=>	'Search results',
-'Quick search show_new'				=>	'New',
-'Quick search show_recent'			=>	'Active',
-'Quick search show_unanswered'		=>	'Unanswered',
-'Quick search show_replies'			=>	'Posted',
-'Quick search show_user_topics'		=>	'Topics by %s',
-'Quick search show_user_posts'		=>	'Posts by %s',
-'Quick search show_subscriptions'	=>	'Subscribed by %s',
-'By keywords show as topics'		=>	'Topics with posts containing \'%s\'',
-'By keywords show as posts'			=>	'Posts containing \'%s\'',
-'By user show as topics'			=>	'Topics with posts by %s',
-'By user show as posts'				=>	'Posts by %s',
-'By both show as topics'			=>	'Topics with posts containing \'%s\', by %s',
-'By both show as posts'				=>	'Posts containing \'%s\', by %s',
-'No terms'							=>	'You have to enter at least one keyword and/or an author to search for.',
-'No hits'							=>	'Your search returned no hits.',
-'No user posts'						=>	'There are no posts by this user in this forum.',
-'No user topics'					=>	'There are no topics by this user in this forum.',
-'No subscriptions'					=>	'This user is currently not subscribed to any topics.',
-'No new posts'						=>	'There are no topics with new posts since your last visit.',
-'No recent posts'					=>	'No new posts have been made within the last 24 hours.',
-'No unanswered'						=>	'There are no unanswered posts in this forum.',
-'Go to post'						=>	'Go to post',
-'Go to topic'						=>	'Go to topic'
+'Search results'			=>	'Search results',
+'No terms'					=>	'You have to enter at least one keyword and/or an author to search for.',
+'No hits'					=>	'Your search returned no hits.',
+'No user posts'				=>	'There are no posts by this user in this forum.',
+'No subscriptions'			=>	'You are currently not subscribed to any topics.',
+'No new posts'				=>	'There are no topics with new posts since your last visit.',
+'No recent posts'			=>	'No new posts have been made within the last 24 hours.',
+'No unanswered'				=>	'There are no unanswered posts in this forum.',
+'Go to post'				=>	'Go to post'
 
 );
Index: /trunk/web/punbb/lang/English/topic.php
===================================================================
--- /trunk/web/punbb/lang/English/topic.php	(revision 10)
+++ /trunk/web/punbb/lang/English/topic.php	(revision 1)
@@ -6,10 +6,6 @@
 'Post reply'		=>	'Post reply',
 'Topic closed'		=>	'Topic closed',
-'From'				=>	'From:', // User location
-'IP address logged'	=>	'IP address logged',
-'Note'				=>	'Note:', // Admin note
-'Posts'				=>	'Posts:',
-'Registered'		=>	'Registered:',
-'Replies'			=>	'Replies:',
+'From'				=>	'From',				// User location
+'Note'				=>	'Note',				// Admin note
 'Website'			=>	'Website',
 'Guest'				=>	'Guest',
@@ -25,8 +21,7 @@
 'Subscribe'			=>	'Subscribe to this topic',
 'Quick post'		=>	'Quick post',
-'Mod controls'		=>	'Moderator controls',
-'New icon'			=>	'New post',
-'Re'				=>	'Re:',
-'Preview'			=>	'Preview'
+
+'Link separator'	=>	' | ',	// The text that separates links in posts (website, e-mail, report, edit etc.)
+'Mod controls'		=>	'Moderator controls'
 
 );
Index: /trunk/web/punbb/lang/English/userlist.php
===================================================================
--- /trunk/web/punbb/lang/English/userlist.php	(revision 10)
+++ /trunk/web/punbb/lang/English/userlist.php	(revision 1)
@@ -4,10 +4,9 @@
 $lang_ul = array(
 
-'User find legend'	=>	'Find and sort users',
-'User search info'	=>	'Enter a username to search for and/or a user group to filter by. The username field can be left blank. Use the wildcard character * for partial matches.',
-'User sort info'	=>	'Sort users by name, date registered or number of posts and in ascending/descending order.',
-'User group'		=>	'User group',
-'No of posts'		=>	'Number of posts',
-'All users'			=>	'All'
+'User find legend'		=>	'Find and sort users',
+'User search info'		=>	'Enter a username to search for and/or a user group to filter by. The username field can be left blank. Use the wildcard character * for partial matches. Sort users by name, date registered or number of posts and in ascending/descending order.',
+'User group'			=>	'User group',
+'No of posts'			=>	'No. of posts',
+'All users'				=>	'All'
 
 );
